# Norway

Norwegian BankID is an application that allows its users to access key documents (e.g., National identity number, name, birthday, address) in certain situations. It provides fast and secure identification of Norwegian citizen.

## **Attribute reference:**

| Attribute                      | Type   | Description                                                |
| ------------------------------ | ------ | ---------------------------------------------------------- |
| [identity](#identity)          | object | Object used to store foreigner data.                       |
| [providerData](#provider-data) | object | Internal id of chosen data set. In this case it will be 7. |

### **Identity**

| Attribute           | Type              | Description                                               |
| ------------------- | ----------------- | --------------------------------------------------------- |
| age                 | integer           | Age of the person                                         |
| countryCode         | string            | Country code. Always `NO` for Norwegian BankID            |
| dateOfBirth         | date (YYYY-MM-DD) | Date of birth of the person                               |
| firstName           | string            | First name of the person                                  |
| fullName            | string            | Full name of the person                                   |
| idProviderName      | string            | Name of the ID provider                                   |
| idProviderPersonId  | string            | Person id assigned by the provider to the person          |
| idProviderRequestId | string            | Request id assigned by the provider to the request        |
| identificationDate  | dateTime          | Date and time of identification                           |
| lastName            | string            | Last name of the person                                   |
| personalNumber      | string            | National identity number (“fødselsnummer”) of the person. |

### **Provider data**

| Attribute                                          | Type   | Description                                                                                                         |
| -------------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------- |
| acr                                                | string | Authentication Context Class Reference                                                                              |
| [additionalCertInfo](#additional-certificate-info) | object | Additional Certificate Information                                                                                  |
| amr                                                | string | Authentication Methods Reference - either `BID` (BankID High), `BIS`(BankID Biometric) or `BIM` (BankID on Mobile). |
| azp                                                | string | Authorized party                                                                                                    |
| bankid\_altsub                                     | string | BankID alternative subject                                                                                          |
| originator                                         | string | Originator information                                                                                              |
| tid                                                | string | Transaction ID                                                                                                      |

### **Additional Certificate Info**

<table><thead><tr><th>Attribute</th><th width="224">Type</th><th>Description</th></tr></thead><tbody><tr><td>certQualified</td><td>boolean</td><td>Indicates if the certificate is qualified</td></tr><tr><td>certValidFrom</td><td>long</td><td>Validity start timestamp of the certificate</td></tr><tr><td>certValidTo</td><td>long</td><td>Validity end timestamp of the certificate</td></tr><tr><td>keyAlgorithm</td><td>string</td><td>Algorithm used for the key</td></tr><tr><td>keySize</td><td>string</td><td>Size of the key</td></tr><tr><td>policyOid</td><td>string</td><td>OID of the certificate policy</td></tr><tr><td>serialNumber</td><td>string</td><td>Serial number of the certificate</td></tr><tr><td>subjectName</td><td>string</td><td>Subject name of the certificate</td></tr><tr><td>versionNumber</td><td>string</td><td>Version number of the certificate</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/bankid/norway.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
